# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXInsert

Function

Adds a component to a Field.

Syntax
`
#include <dx/dx.h>
`

Object DXInsert(Object o, Object add, char *name)

Functional Details

For each Field in Object `o`, add Object `add` as component `name`. Object `o` can be a single Field, or any Object that can contain Fields (e.g., Groups or Series). If Object `o` is a single Field, Object `add` must be a single Object, usually an Array. If Object `o` is anything else, the Object hierarchy of `o` must match that of `add`, where each Field of `o` matches an Array in `add`. If the Field already contains a `name` component, it is replaced.

Return Value

Returns `o` or returns `NULL` and sets an error code.

See Also

`DXExists, DXExtract, DXRemove, DXRename, DXReplace, DXSetComponentValue, DXSwap`

12.10 , "Component Manipulation".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]